Skip to main content
POST
/
api
/
public
/
channels
/
{channelType}
/
{platformIdentifier}
/
tags
Create tags for a contact
curl --request POST \
  --url https://api.example.com/api/public/channels/{channelType}/{platformIdentifier}/tags \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "tags": [
    "<string>"
  ]
}
'
{
  "status": "success",
  "createdCount": 2,
  "assignedCount": 3,
  "notAssignedCount": 1,
  "notAssignedTags": [
    "vip-ticket"
  ],
  "details": "Some tags were not assigned because they are TICKET type and the contact has no active ticket."
}

Headers

x-api-key
string
required

API key for request authorization

Path Parameters

channelType
enum<string>
required

The type of channel to create a tag for

Available options:
whatsapp,
playground,
web-whatsapp,
instagram
platformIdentifier
string
required

The platform identifier for the contact, e.g. phone number (with country code) or username

Body

application/json
tags
string[]

Response

Tags processed successfully

status
string
Example:

"success"

createdCount
number
Example:

2

assignedCount
number
Example:

3

notAssignedCount
number
Example:

1

notAssignedTags
string[]
Example:
["vip-ticket"]
details
string
Example:

"Some tags were not assigned because they are TICKET type and the contact has no active ticket."